Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.errorhandler
Class LocaleMessage

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.example.errorhandler.LocaleMessage

    public class LocaleMessage

extends MessageFactory

`LocaleMessage` is a convenience interface for retrieving internationalised strings from resource bundles. The actual work is done by the MessageFactory in core.

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`LocaleMessage()`

Method Summary
`static String` | `businessErrorManagerError()`
`static String` | `businessHandlerMessage()`
`static String` | `defaultException(Exception e)`
`static String` | `defaultFatalHandling(Class<?> class1)`
`static String` | `defaultHandlerException(HandlerException e)`
`static String` | `defaultHandlerMessage()`
`static String` | `defaultHandling(Class<?> class1, ExceptionHandler eh, Exception e)`
`static String` | `errorClass(Class<?> class1)`
`static String` | `errorDetail(String detailMessage)`
`static String` | `fatalException(Throwable t)`
`static String` | `fatalHandlerException(Throwable t)`
`static String` | `fatalHandlerMessage()`
`static String` | `fatalHandling(Exception e)`
`protected ClassLoader` | `getClassLoader()` Override this method to return the classloader for the bundle/module which contains the needed resource files.
`static String` | `handlerFailure(ExceptionHandler eh)`
`static String` | `unhandledException(Class<?> class1, Class<?> class2)`
`static String` | `unretrievedException(Exception e)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleMessage

    public LocaleMessage()

Method Detail

### unretrievedException

    public static String unretrievedException(Exception e)

### unhandledException

    public static String unhandledException(Class<?> class1,
                                            Class<?> class2)

### businessErrorManagerError

    public static String businessErrorManagerError()

### errorDetail

    public static String errorDetail(String detailMessage)

### errorClass

    public static String errorClass(Class<?> class1)

### handlerFailure

    public static String handlerFailure(ExceptionHandler eh)

### defaultFatalHandling

    public static String defaultFatalHandling(Class<?> class1)

### fatalHandling

    public static String fatalHandling(Exception e)

### defaultHandling

    public static String defaultHandling(Class<?> class1,
                                         ExceptionHandler eh,
                                         Exception e)

### defaultException

    public static String defaultException(Exception e)

### defaultHandlerException

    public static String defaultHandlerException(HandlerException e)

### fatalException

    public static String fatalException(Throwable t)

### businessHandlerMessage

    public static String businessHandlerMessage()

### defaultHandlerMessage

    public static String defaultHandlerMessage()

### fatalHandlerMessage

    public static String fatalHandlerMessage()

### fatalHandlerException

    public static String fatalHandlerException(Throwable t)

### getClassLoader

    protected ClassLoader getClassLoader()

  Description copied from class: `MessageFactory`
  Override this method to return the classloader for the bundle/module which contains the needed resource files.

  Overrides:
    `getClassLoader` in class `MessageFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.